#!/bin/csh
# A partir du fichier $AnimFile contenant 1 image/page,
# fabrique le fichier LaunchAnim.tex  insrer dans une prsentation.
#set AnimFile = $argv[1]
set AnimFile = "Frames.pdf"
set Fn = $AnimFile:r
echo "=== $Fn"
set dscFile = $Fn.dsc
pdf2dsc $AnimFile
set nImgs = `cat $Fn.dsc | grep DoPDFPage | tail -1 | cut -d" " -f1`
#@ nImgs = 25
echo "$nImgs images dans $AnimFile"
@ iImg = 1

echo " " > InsertImgs1.tex
echo "\insertobj{AppearanceNames}{" > InsertImgs3.tex
echo "    << /Names" >> InsertImgs3.tex
echo "        [" >> InsertImgs3.tex

while ( $iImg <=  $nImgs )
  @ iMoins1 = ($iImg - 1) 
  @ iMoins1s = $iMoins1
  @ len = `echo $iMoins1s | wc -c` - 1
  @ add0 = 3 - $len
  set iMoins1s = $iMoins1s
  repeat $add0 set iMoins1s = `echo "0"$iMoins1s`
  echo "\ximage{fr$iMoins1s}{$iImg}" >> InsertImgs1.tex
  echo "(fr$iMoins1s) \oref{fr$iMoins1s}" >> InsertImgs3.tex
  @ iImg = $iImg + 1
end
echo "        ]" >> InsertImgs3.tex
echo "/Limits [ (fr000) (fr$iMoins1s) ] >> }" >> InsertImgs3.tex
echo "\pdfnames{ /AP \oref{AppearanceNames} }" >> InsertImgs3.tex
echo "% animation properties" >> InsertImgs3.tex
echo "\def\frames{$iMoins1}" >> InsertImgs3.tex
echo "\def\timespan{500}" >> InsertImgs3.tex
#echo "\def\timespan{550}" >> InsertImgs3.tex

cat InsertImgs0.tex InsertImgs1.tex InsertImgs2.tex InsertImgs3.tex InsertImgs4.tex > LaunchAnim.tex

exit
